SimpleCov doesn't specify a json dependency #72

Closed
sferik opened this Issue Sep 12, 2011 · 0 comments

2 participants

@sferik
Collaborator

SimpleCov switch from YAML to JSON in 94019a8, however a JSON dependency was never added to the gemspec.

This is fine in Ruby 1.9, where JSON is included in the standard library, but breaks on earlier Ruby versions.

I would advocate for specifying a MultiJSON dependency instead of a particular JSON library.

@colszowka colszowka pushed a commit that closed this issue Sep 12, 2011
@sferik sferik Use multi_json
Closes #72.
0d09913
@colszowka colszowka closed this in 0d09913 Sep 12, 2011
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment